### Method

# FwupdPlugin HeciDevice read_file

since: 2.0.9

#### Declaration [src]

    GByteArray*
    fu_heci_device_read_file (
      FuHeciDevice* self,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Reads a file from the MFS.

Available since: 2.0.9

#### Parameters

`filename`

  Type: `const gchar*`

  MFS filename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

File data.

The caller of the method takes ownership of the returned data container, but not the data inside it.